{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.red_panda.move": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "idle"
          ],
          "blend_transition": 0.5,
          "transitions": [
            {
              "run": "v.is_sprinting"
            },
            {
              "walk": "v.is_moving"
            },
            {
              "sit": "q.is_sitting"
            }
          ]
        },
        "walk": {
          "animations": [
            "walk"
          ],
          "blend_transition": 0.5,
          "transitions": [
            {
              "default": "!v.is_moving"
            },
            {
              "run": "v.is_sprinting"
            },
            {
              "sit": "q.is_sitting"
            }
          ]
        },
        "run": {
          "animations": [
            "run"
          ],
          "blend_transition": 0.5,
          "transitions": [
            {
              "default": "!v.is_moving"
            },
            {
              "walk": "!v.is_sprinting"
            },
            {
              "sit": "q.is_sitting"
            }
          ]
        },
        "sit": {
          "animations": [
            "sit"
          ],
          "transitions": [
            {
              "default": "!q.is_sitting"
            }
          ],
          "blend_transition": 0.2
        }
      }
    },
    "controller.animation.silverlabs_nat.red_panda.sleep_stand": {
      "initial_state": "default",
      "states": {
        "default": {
          "blend_transition": 0.7,
          "transitions": [
            {
              "stand": "!q.is_sitting && q.property('silverlabs_nat:red_panda_standing')"
            },
            {
              "sleep": "!q.is_sitting && q.property('silverlabs_nat:red_panda_sleep')"
            }
          ]
        },
        "stand": {
          "blend_transition": 0.2,
          "animations": [
            "standing"
          ],
          "transitions": [
            {
              "sleep": "!q.property('silverlabs_nat:red_panda_standing')"
            }
          ]
        },
        "sleep": {
          "animations": [
            "sleep"
          ],
          "transitions": [
            {
              "jolted_awake": "q.is_sitting || q.property('silverlabs_nat:red_panda_jolt_awake')"
            },
            {
              "wake_up": "!q.property('silverlabs_nat:red_panda_sleep')"
            }
          ]
        },
        "wake_up": {
          "animations": [
            "sleep"
          ],
          "blend_transition": 1.0,
          "transitions": [
            {
              "default": "1"
            }
          ]
        },
        "jolted_awake": {
          "animations": [
            "sleep"
          ],
          "blend_transition": 0.2,
          "transitions": [
            {
              "default": "1"
            }
          ]
        }
      }
    }
  }
}
